Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class EntryCollection

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.access.EntryCollection

Direct Known Subclasses:
  FileEntryCollection, FileEntryCollection2

public abstract class EntryCollection
extends AbstractDataCollection

Field Summary
`final static String` | `ENTRY_DELIMITERS_PROPERTY` Property for storing delimiters that not conatains in the entry key.
`final static String` | `ENTRY_END_PROPERTY` Property for storing end field of entry
`final static String` | `ENTRY_ID_PROPERTY` Property for storing ID field of entry
`final static String` | `ENTRY_START_PROPERTY` Property for storing start fielsd of entry

Constructor Summary
`EntryCollection(DataCollection parent, Properties properties)` Standard data collection constructor.

Method Summary
`Class` | `getDataElementType()`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, close, contains, contains, get, getCompleteName, getDescription, getInfo, getNameList, getSize, isMutable, isNotificationEnabled, isPropagationEnabled, propagateElementChanged, propagateElementWillChange, put, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, toString`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Field Detail

### ENTRY_DELIMITERS_PROPERTY

    public final static String ENTRY_DELIMITERS_PROPERTY

  Property for storing delimiters that not conatains in the entry key. Space ' ' added automatically.

### ENTRY_END_PROPERTY

    public final static String ENTRY_END_PROPERTY

  Property for storing end field of entry

### ENTRY_ID_PROPERTY

    public final static String ENTRY_ID_PROPERTY

  Property for storing ID field of entry

### ENTRY_START_PROPERTY

    public final static String ENTRY_START_PROPERTY

  Property for storing start fielsd of entry

Constructor Detail

### EntryCollection

    public EntryCollection(DataCollection parent, Properties properties)

  Standard data collection constructor.

Method Detail

### getDataElementType

    public Class getDataElementType()

  Returns: `Entry.class`.

Association Links

to Class java.lang.String

  Property for storing delimiters that not conatains in the entry key. Space ' ' added automatically.

to Class java.lang.String

  Property for storing start fielsd of entry

to Class java.lang.String

  Property for storing ID field of entry

to Class java.lang.String

  Property for storing end field of entry

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM